Product Documentation

Unterstützte Gerätebetriebssysteme

19. Juni 2018

XenMobile unterstützt folgende Geräteplattformen und Betriebssysteme für Enterprise Mobility Management einschließlich der Verwaltung von Apps und Geräten. Aufgrund von Plattformeinschränkungen und Sicherheitsfeatures werden von XenMobile nicht alle Funktionen auf allen Plattformen unterstützt:

Die Informationen zu den unterstützten Geräteplattformen in diesem Artikel gelten auch für XenMobile Mail Manager und XenMobile NetScaler Connector.

Hinweis:

Citrix unterstützt mindestens die aktuelle Version und die Vorversion jeder gängigen Betriebssystemplattform. Nicht alle Features der neueren XenMobile-Versionen funktionieren auf älteren Plattformen. In diesem Artikel wird detailliert ausgeführt, welche Versionen Citrix für die jeweiligen Betriebssysteme unterstützt. Der Artikel enthält auch von Citrix getestete Gerätemodelle. Bei Problemen mit anderen Gerätemodellen wenden Sie sich an den Support von Citrix.

Android

Secure Hub 10.8.35 unterstützt Android P (Version 9).

Hinweis:

Vor dem Upgrade auf die Android P-Plattform: Stellen Sie sicher, dass Ihre Serverinfrastruktur mit Sicherheitszertifikaten kompatibel ist, die über einen übereinstimmenden Hostnamen in der SubjectAltName-Erweiterung (SAN) verfügen. Zum Überprüfen eines Hostnamens muss der Server ein Zertifikat mit einem passenden SAN bereitstellen. Zertifikate, die keinen mit dem Hostnamen übereinstimmenden SAN enthalten sind nicht mehr vertrauenswürdig. Weitere Informationen finden Sie im Artikel Android P behavior changes auf der Android Developer Site.

Hinweise zum Release von Android O (Version 8):

  • Android 5 wird zur Mindestversion, die von XenMobile unterstützt wird.
  • Ende der Unterstützung für Android 4.4x ab Version 10.6.20 des öffentlichen App-Store-Release von XenMobile Apps.

Für alle Modi unterstützte Betriebssysteme: Android 5.x, 6.x, 7.x, 8.x

Für den Nur-MDM-Modus unterstützte Betriebssysteme: Android 4.4, 5.x, 6.x, 7.x, 8.x

XenMobile Apps und mit MDX umschlossene Apps sind auf Android-Geräten mit ARM-basierten Prozessoren verfügbar. Auf Android-Geräten mit Intel x86 oder x64 werden sie nicht unterstützt.

Android-Geräte und -Betriebssysteme, die speziell unter XenMobile im MDM+MAM-Modus (Unternehmensmodus) getestet wurden

  • Google Nexus 9 Tablet (Betriebssystem 7.0)
  • Google Nexus 5 (Betriebssystem 6.0.1)
  • Google Nexus 5X (Betriebssystem 7.1.1 und 8.0)
  • Google Nexus 9 Tab (Betriebssystem 5.0.1)
  • Google Nexus 9 Tab (Betriebssystem 5.1.1)
  • Google Nexus 6P (Betriebssystem 7.1.1 und 8.0)
  • Google Nexus 6 (Betriebssystem 6.0.1 und 7.0)
  • Google Nexus 5 (Betriebssystem 8.0)
  • Google Pixel (Betriebssystem 7.0 und 8.0)
  • Google Pixel C (Betriebssystem 8.0)
  • Google Pixel XL (Betriebssystem 8.0)
  • Google Pixel 2 (Betriebssystem 8.0)
  • Google Pixel 2 XL (Betriebssystem 8.0)
  • Galaxy S9 und S9+ (Betriebssystem 8.0)
  • Galaxy S8 (Betriebssystem 7.1.1, 8.0.0)
  • Galaxy S7 (Betriebssystem 7.0)
  • Galaxy S6 (Betriebssystem 6.0.1, 5.0)
  • Galaxy Tab A (Betriebssystem 6.0)
  • Galaxy Note3 Modell SM-N900 (Betriebssystem 5.0)
  • Galaxy S6 Edge, SM-G925F (Betriebssystem 6.0.1)
  • Galaxy S5 SM-G900F (Betriebssystem 6.0.1)
  • Galaxy S5 SM-G900H (Betriebssystem 6.0.1)
  • Huawei P10 Lite
  • Huawei P10
  • Huawei P8 Lite 2017
  • Moto Turbo (Betriebssystem 6.0.1)
  • OnePlus (Betriebssysteme 6, 7 und 8)
  • Sony Xperia, Modell SGP311 (Betriebssystem 5.0.1)
  • Zebra (alle Modelle und Betriebssysteme)

Android-Geräte und -Betriebssysteme, die speziell unter XenMobile im Nur-MDM-Modus getestet wurden

  • Google Nexus 7 Tablet (Betriebssystem 4.4.4)
  • Google Nexus 9 Tablet (Betriebssystem 7.0)
  • Google Nexus 5 (Betriebssystem 6.0.1)
  • Google Nexus 5X (Betriebssystem 7.1.1 und 8.0)
  • Google Pixel (Betriebssystem 7.0 und 8.0)
  • Google Pixel C (Betriebssystem 8.0)
  • Google Pixel XL (Betriebssystem 8.0)
  • Google Pixel 2 (Betriebssystem 8.0)
  • Galaxy S9 und S9+ (Betriebssystem 8.0)
  • Galaxy S7 (Betriebssystem 7.0)
  • Galaxy S8 (Betriebssystem 7.1.1, 8.0.0)
  • Galaxy S6 (Betriebssystem 6.0.1, 5.0)
  • Galaxy Tab A (Betriebssystem 6.0)
  • Galaxy Note3 Modell SM-N900 (Betriebssystem 5.0)
  • Galaxy S6 Edge, SM-G925F (Betriebssystem 6.0.1)
  • Galaxy S5 SM-G900F (Betriebssystem 6.0.1)
  • Galaxy S5 SM-G900H (Betriebssystem 6.0.1)
  • Huawei Nexus 6 (Betriebssysteme 6.0.1 und 7.0)
  • Huawei P10 Lite
  • Huawei P10
  • Huawei P8 Lite 2017
  • Nexus 9 Tab (Betriebssystem 5.0.1)
  • Nexus 9 Tab (Betriebssystem 5.1.1)
  • Nexus 7 (Betriebssystem 4.4)
  • Nexus 5 (Betriebssystem 8.0)
  • OnePlus (Betriebssysteme 6, 7 und 8)
  • Sony Xperia, Modell SGP311 (Betriebssystem 5.0.1)
  • Zebra (alle Modelle und Betriebssysteme)

Darüber hinaus wurden die folgenden Gerätetypen mit Secure Mail getestet.

Gerätetyp Betriebssystem
Google Pixel 7.0 und 8.0
Samsung S8 7.0
Samsung S7 7.0
​Samsung S6 ​6.0.1
​Samsung S5 5
Samsung Tab A ​6.0.1
Google Pixel 2 8.0

Samsung SAFE und KNOX

Auf kompatiblen Samsung-Geräten bietet XenMobile Unterstützung und Erweiterung von Samsung for Enterprise- (SAFE) und Samsung KNOX-Richtlinien. XenMobile erfordert die Aktivierung der SAFE-APIs, bevor SAFE-Richtlinien und -Einschränkungen bereitgestellt werden können. Stellen Sie hierzu einem Gerät den integrierten ELM-Schlüssel (Enterprise License Management) von Samsung bereit. Aktivieren der Samsung KNOX-API:

  1. Erwerben Sie eine Samsung KNOX-Lizenz über das KNOX License Management System (KLMS).

  2. Stellen Sie den ELM-Schlüssel von Samsung bereit.

Für HTC-spezifische Richtlinien unterstützt XenMobile die HTC API-Version 0.5.0. Für Sony-spezifische Richtlinien unterstützt XenMobile Sony Enterprise SDK 2.0.

iOS

Hinweise zum Release von iOS 11:

  • Die Unterstützung von XenMobile für iOS 8-Geräte wurde beendet.
  • Die Unterstützung von XenMobile für iOS 9-Geräte mit XenMobile Apps endete am 31. Oktober 2017.
  • XenMobile unterstützt iOS 9-Geräte weiterhin im MDM-Modus.
  • Die Upgradereihenfolge ist erforderlich, da Secure Hub die SHA-1-Zertifikate auf Geräten mit iOS 11 nicht mehr unterstützt. Um Probleme zu vermeiden, müssen die Benutzer vor dem Upgrade ihrer Geräte auf iOS 11 Secure Hub auf Version 10.6.10 oder höher aktualisieren. Weitere Informationen über die Vorbereitung für diese Änderung finden Sie im Knowledge Center-Artikel XenMobile iOS 11 and Android O Support.

XenMobile unterstützt:

  • iOS 11.x
  • iOS 10.x
  • iOS 9.x (nur MDM)

Unter anderem werden folgende iOS-Geräte unter XenMobile unterstützt:

  • iPhone X
  • iPhone 8, 8 Plus
  • iPhone 7 Plus 10.2.1
  • iPhone 6, 6 Plus, 6S Plus, 6S+, 5s
  • iPhone 5, 5c (nur iOS 9.x)
  • iPad 2, 3
  • iPad Air, iPad Air-2, iPad Mini-4, Mini-3, Mini-2
  • iPad Pro

macOS

XenMobile unterstützt:

  • macOS 10.11 El Capitan
  • macOS 10.12 Sierra
  • macOS 10.13 High Sierra

Windows Phone und Tablet

XenMobile unterstützt:

  • Windows 10 RS1, RS2 und RS3 (Phone und Tablet)
    • Wird nicht unterstützt, wenn XenMobile im Nur-MAM-Modus ausgeführt wird.
  • Windows 10 Phone
  • Windows Phone 8.1
    • Nur für MDM-Modus
  • Windows Mobile/CE
    • Ab dem zweiten Quartal 2018 ist die Unterstützung von Windows CE-Geräten für neue Kunden nicht mehr verfügbar.
    • Wird nicht unterstützt, wenn XenMobile im Nur-MAM-Modus ausgeführt wird.

Symbian

Ab dem zweiten Quartal 2018 ist die Unterstützung von Symbian-Geräten für neue Kunden nicht mehr verfügbar. Die folgende Liste enthält einige Symbian-Modelle, die XenMobile für Kunden unterstützt, die diese Geräte zuvor bereits konfiguriert hatten.

  • Symbian 3
  • Symbian S60 5th Edition
  • Symbian S60 3rd Edition, Feature Pack 2
  • Symbian S60 3rd Edition, Feature Pack 1
  • Symbian S60 3rd Edition
  • Symbian S60 2nd Edition, Feature Pack 3
  • Symbian S60 2nd Edition, Feature Pack 2

BlackBerry

Die Verwaltung von BlackBerry-Geräten erfolgt durch XenMobile Mail Manager. Weitere Informationen finden Sie unter XenMobile Mail Manager.

Unterstützte Gerätebetriebssysteme